> ## Documentation Index
> Fetch the complete documentation index at: https://perps-api.vooi.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Ondo points summary (totals by source and leaderboard rank)



## OpenAPI

````yaml https://vooi-api-app.fly.dev/swagger/json get /ondo/points
openapi: 3.1.0
info:
  title: VOOI API
  description: Unified perps API
  version: '1.0'
  contact: {}
servers:
  - url: https://perps-api.vooi.io
security: []
tags: []
paths:
  /ondo/points:
    get:
      tags:
        - Ondo
      summary: Get Ondo points summary (totals by source and leaderboard rank)
      operationId: OndoController_getPoints
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OndoPointsDto'
        '503':
          description: ExchangeApiError
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDTO'
      security:
        - bearer: []
components:
  schemas:
    OndoPointsDto:
      type: object
      properties:
        alphaStratPoints:
          type: number
          description: Points earned in the points program
          example: 0
        bonusPoints:
          type: number
          description: Bonus points granted by the venue
          example: 0
        marketBoostPoints:
          type: number
          description: Points earned from boosted markets
          example: 0
        rank:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
          description: Leaderboard rank; -1 when the account is not ranked yet
          example: 7241
        referralPoints:
          type: number
          description: Points earned from referrals
          example: 0
        totalPoints:
          type: number
          description: Total points across every source
          example: 7
        tradingPoints:
          type: number
          description: Points earned from trading volume
          example: 7
        updatedUnix:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
          description: Unix time in seconds of the last leaderboard recomputation
          example: 1789466461
        username:
          type: string
          description: Pseudonym the venue assigned to the account
          example: interesting-productive-pearl-7621
      required:
        - alphaStratPoints
        - bonusPoints
        - marketBoostPoints
        - rank
        - referralPoints
        - totalPoints
        - tradingPoints
        - updatedUnix
        - username
      title: OndoPoints
    ErrorResponseDTO:
      type: object
      properties:
        message:
          type: string
          example: 'Invalid order id: 123'
        statusCode:
          example: 503
          type: number
      required:
        - message
      title: ErrorResponse
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.